Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 357807 - sys-fs/jfsutils-1.1.15 version bump: <sys-fs/jfsutils-1.1.15 fsck.jfs -fv exit code 4 when checking >=40TB volume
Summary: sys-fs/jfsutils-1.1.15 version bump: <sys-fs/jfsutils-1.1.15 fsck.jfs -fv ex...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Kernel Miscellaneous
URL: http://sourceforge.net/tracker/?func=...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-07 18:58 UTC by Matt McAdoo
Modified: 2011-03-08 05:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt McAdoo 2011-03-07 18:58:53 UTC
Created a 60TB LVM volume, formatted it with JFS.  The volume will show to be mounted fine.  Trying to create a directory within the new mount gives I/O error.  Trying fsck.jfs -fv on the volume gives the error.

http://sourceforge.net/tracker/?func=detail&aid=2905273&group_id=128802&atid=712756  This link indicates there's a patch for this problem in CVS.

Reproducible: Always

Steps to Reproduce:
1.  Create large volume, over 40TBs
2.  Mount and try to make a directory
3.  Run fsck.jfs -f on the volume
Actual Results:  
fsck.jfs -fv /dev/mapper/storage-tbs 
fsck.jfs version 1.1.14, 06-Apr-2009
processing started: 3/7/2011 4.39.43
The current device is:  /dev/mapper/storage-tbs
Open(...READ/WRITE EXCLUSIVE...) returned rc = 0
Primary superblock is valid.
The type of file system for the device is JFS.
Block size in bytes:  4096
Filesystem size in blocks:  15623780352
**Phase 0 - Replay Journal Log
LOGREDO:  Log already redone!
logredo returned rc = 0
**Phase 1 - Check Blocks, Files/Directories, and  Directory Entries
**Phase 2 - Count links
**Phase 3 - Duplicate Block Rescan and Directory Connectedness
**Phase 4 - Report Problems
**Phase 5 - Check Connectivity
**Phase 6 - Perform Approved Corrections
**Phase 7 - Rebuild File/Directory Allocation Maps
**Phase 8 - Rebuild Disk Allocation Maps
ujfs_rw_diskblocks: disk_count is 0
Unrecoverable error writing M to /dev/mapper/storage-tbs.  CANNOT CONTINUE.
Fatal error (-10091,87) accessing the filesystem (2,3524386816,0,0).
**** Filesystem was modified. ****
processing terminated:  3/7/2011 4:40:18  with return code: -10091  exit code: 4.

When trying to create a directory, the system will hang on the operation.


emerge --info sys-fs/jfsutils
Portage 2.1.9.42 (hardened/linux/amd64, gcc-4.5.2, glibc-2.13-r1, 2.6.37-hardened-r4 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.37-hardened-r4-x86_64-Intel-R-_Xeon-R-_CPU_E5620_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Mon, 07 Mar 2011 03:30:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [enabled]
app-shells/bash:     4.1_p10
dev-lang/python:     2.6.6-r2, 2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.68
sys-devel/automake:  1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.5, 4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-fPIC -ggdb -march=core2 -mtune=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-fPIC -ggdb -march=core2 -mtune=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distcc distlocks fixlafiles fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j24"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://192.168.1.193/gentoo-portage"
USE="acl acpi ads aio amd64 apache2 bash-completion berkdb bzip2 caps cli cracklib crypt cups cxx dri fam fpm gdbm git gpm hal hardened iconv ipv6 justify kerberos ldap logwatch mmx modules mudflap multilib mysql mysqli mysqlnd ncurses nls nptl nptlonly openmp pam pcre pdo perl postgres pppd python qt-faststart readline samba session sse sse2 ssl suhosin sysfs syslog tcpd threads urandom vim-syntax winbind xorg zip zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

=================================================================
                        Package Settings
=================================================================

sys-fs/jfsutils-1.1.14 was built with the following:
USE="(multilib) -static"
Comment 1 Lars Wendler (Polynomial-C) (RETIRED) gentoo-dev 2011-03-07 20:02:43 UTC
I suggest converting this bug report into a version bump request as jfsutils-1.1.15 was released which seems to fix these problems according to its NEWS file:

New in 1.1.15 - 2011-03-04
* Several fixes for large filesystems where 64-bit variables are needed
* Fix incorrect size check on directories
* Make the timestamp format consistent
Comment 2 Matt McAdoo 2011-03-07 20:23:19 UTC
cp jfsutils-1.1.14.ebuild jfsutils-1.1.15.ebuild
ebuild jfsutils-1.1.15.ebuild manifest


Both fsck.jfs -f and making the directory on the volume are SOLVED by new version of jfsutils.
Comment 3 Tim Harder gentoo-dev 2011-03-08 05:56:37 UTC
Version 1.1.15 is now in CVS.